## EntangleControlChoice

EntangleControlChoice — a device control that offers a choice of options

## Functions

EntangleControlChoice * | entangle_control_choice_new ()
void | entangle_control_choice_add_entry ()
void | entangle_control_choice_clear_entries ()
int | entangle_control_choice_entry_count ()
const char * | entangle_control_choice_entry_get ()

## Properties

char * | value | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_CHOICE
| EntangleControlChoice

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlChoice

## Description

The EntangleControlChoice object provides a device control that allows selection between a range of choices.

## Functions

### entangle_control_choice_new ()

    EntangleControlChoice *
    entangle_control_choice_new (const char *path,
                                 int id,
                                 const char *label,
                                 const char *info,
                                 gboolean readonly);

### entangle_control_choice_add_entry ()

    void
    entangle_control_choice_add_entry (EntangleControlChoice *choice,
                                       const char *entry);

### entangle_control_choice_clear_entries ()

    void
    entangle_control_choice_clear_entries (EntangleControlChoice *choice);

### entangle_control_choice_entry_count ()

    int
    entangle_control_choice_entry_count (EntangleControlChoice *choice);

### entangle_control_choice_entry_get ()

    const char *
    entangle_control_choice_entry_get (EntangleControlChoice *choice,
                                       int idx);

## Types and Values

### ENTANGLE_TYPE_CONTROL_CHOICE

    #define ENTANGLE_TYPE_CONTROL_CHOICE (entangle_control_choice_get_type())

### EntangleControlChoice

    typedef struct _EntangleControlChoice EntangleControlChoice;

## Property Details

### The `“value”` property

      “value”                    char *

Current value of the control.

Owner: EntangleControlChoice

Flags: Read / Write

Default value: NULL